

       /************************************************/
       /*                                              */
       /*     DSIC.h                                   */
       /*                                              */
       /*     Protos for DSIC functions                */
       /*                                              */
       /*                                              */
       /*     Rodrigo REYES 1993                       */
       /*                                              */
       /*     see DSIC.english.doc                     */
       /*     voir DSIC.francais.doc                   */
       /*                                              */
       /************************************************/

/*     Here are the functions'protos for the DSIC module  */
/*     Don't change them without a VERY good reason       */



/*---------------- Init & ending functions --------------*/

extern unsigned long StringBufferInit(unsigned long);
extern void StringBufferEnd();

/*------------------ Creating function ------------------*/

extern char *NewString(char *);
extern char *StringClone(char *);

extern char *StringAdd(char *,char *);
extern char *StringUnion(char *,char *);

/*----------------- Space handling functions ------------*/

extern char *StringSpace(unsigned long);
extern char *StringTrunc(char *);

/*------------------- Length of strings ----------------*/

extern unsigned long StringLength(char *);
extern unsigned long StringLen(char *);

/*------------------ Deleting a string ----------------*/

extern void StringDelete(char *);

/*------------------ Comparison -----------------------*/
extern int StringComp(char *,char*);
extern int StringCompNC(char *,char *);

extern int StringIndex(char *,char *);
extern int StringIndexNC(char *,char *);

/*--------------------- Case functions ----------------*/
extern char *StringUp(char *);
extern char *StringDown(char *);

/*-------------------- Extract functions --------------*/

extern char *StringExtract(char *,unsigned long,unsigned long);
extern char *StringLeft(char *,unsigned long);
extern char *StringRight(char *,unsigned long);

/*-------------------- Convert functions --------------*/

extern char *StringDec(int);
extern char *StringHex(int);
extern int StringVal(char *);



/*   End Of File  DSIC.h    */
